boost::locale::converter< CharType > Class Template Referenceabstract
Text Conversions

The facet that implements text manipulation. More...

`#include <boost/locale/conversion.hpp>`

Inheritance diagram for boost::locale::converter< CharType >:

## Public Member Functions

| converter (size_t refs=0)
| Standard constructor.
virtual std::basic_string< Char > | convert (conversion_type how, Char const *begin, Char const *end, int flags=0) const =0

## Static Public Attributes

static std::locale::id | id
| Locale identification.

## Additional Inherited Members

Public Types inherited from boost::locale::converter_base
enum | conversion_type { normalization, upper_case, lower_case, case_folding, title_case }

## Detailed Description

### template<typename CharType>
class boost::locale::converter< CharType >

The facet that implements text manipulation.

It is used to performs text conversion operations defined by conversion_type. It is specialized for four types of characters `char`, `wchar_t`, `char16_t`, `char32_t`

## Member Function Documentation

template<typename CharType >

virtual std::basic_string<Char> boost::locale::converter< CharType >::convert | ( | conversion_type | how,
|  | Char const * | begin,
|  | Char const * | end,
|  | int | flags = `0`
| ) |  | const

pure virtual

Convert text in range [begin, end) according to conversion method how. Parameter flags is used for specification of normalization method like nfd, nfc etc.

The documentation for this class was generated from the following file:

- boost/locale/conversion.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.